#pragma once

#include "Model3D.h"

namespace Framework
{
    class Textur;
    class GraphicsApi;

    //! Ein 3D Modell, das zur Darstellung einer Textur im dreidimensionalen
    //! Raum verwendet werden kann
    class TexturModel : public Model3D
    {
    public:
        //! Konstruktor
        DLLEXPORT TexturModel(GraphicsApi* zApi);
        DLLEXPORT TexturModel(GraphicsApi* zApi, const char* uniqueName);
        //! Setzt die Textur die angezeigt werden soll
        //! \param t Die Textur
        DLLEXPORT void setTextur(Textur* t);
        //! Setzt die Gre, in der Die Textur angezeigt wird
        //! \param gr Ein Vektor, der fr x und y die breite und hhe beinhaltet
        DLLEXPORT void setSize(Vec2<float> gr);
        //! Setzt die Gre, in der die Textur angezeigt wird
        //! \param b Die Breite, in der die Textur angezeigt wird
        //! \param h Die Hhe, in der die Textur angezeigt wird
        DLLEXPORT void setSize(float b, float h);
    };
} // namespace Framework